<?php
$tdataaccounttype_report = array();
$tdataaccounttype_report[".searchableFields"] = array();
$tdataaccounttype_report[".ShortName"] = "accounttype_report";
$tdataaccounttype_report[".OwnerID"] = "";
$tdataaccounttype_report[".OriginalTable"] = "accounttype";


$tdataaccounttype_report[".pagesByType"] = my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" );
$tdataaccounttype_report[".originalPagesByType"] = $tdataaccounttype_report[".pagesByType"];
$tdataaccounttype_report[".pages"] = types2pages( my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" ) );
$tdataaccounttype_report[".originalPages"] = $tdataaccounttype_report[".pages"];
$tdataaccounttype_report[".defaultPages"] = my_json_decode( "{\"report\":\"report\",\"rprint\":\"rprint\",\"search\":\"search\"}" );
$tdataaccounttype_report[".originalDefaultPages"] = $tdataaccounttype_report[".defaultPages"];

//	field labels
$fieldLabelsaccounttype_report = array();
$fieldToolTipsaccounttype_report = array();
$pageTitlesaccounttype_report = array();
$placeHoldersaccounttype_report = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsaccounttype_report["English"] = array();
	$fieldToolTipsaccounttype_report["English"] = array();
	$placeHoldersaccounttype_report["English"] = array();
	$pageTitlesaccounttype_report["English"] = array();
	$fieldLabelsaccounttype_report["English"]["AccountTypeID"] = "Account Type ID";
	$fieldToolTipsaccounttype_report["English"]["AccountTypeID"] = "";
	$placeHoldersaccounttype_report["English"]["AccountTypeID"] = "";
	$fieldLabelsaccounttype_report["English"]["AccountTypeName"] = "ປະເພດບັນຊີ";
	$fieldToolTipsaccounttype_report["English"]["AccountTypeName"] = "";
	$placeHoldersaccounttype_report["English"]["AccountTypeName"] = "";
	$fieldLabelsaccounttype_report["English"]["Amouts"] = "ມູນຄ່າ";
	$fieldToolTipsaccounttype_report["English"]["Amouts"] = "";
	$placeHoldersaccounttype_report["English"]["Amouts"] = "";
	$fieldLabelsaccounttype_report["English"]["Noted"] = "ຄໍາອະທິບາຍ";
	$fieldToolTipsaccounttype_report["English"]["Noted"] = "";
	$placeHoldersaccounttype_report["English"]["Noted"] = "";
	$fieldLabelsaccounttype_report["English"]["Daterecorde"] = "ວັນທີ";
	$fieldToolTipsaccounttype_report["English"]["Daterecorde"] = "";
	$placeHoldersaccounttype_report["English"]["Daterecorde"] = "";
	if (count($fieldToolTipsaccounttype_report["English"]))
		$tdataaccounttype_report[".isUseToolTips"] = true;
}


	$tdataaccounttype_report[".NCSearch"] = true;



$tdataaccounttype_report[".shortTableName"] = "accounttype_report";
$tdataaccounttype_report[".nSecOptions"] = 0;

$tdataaccounttype_report[".mainTableOwnerID"] = "";
$tdataaccounttype_report[".entityType"] = 2;
$tdataaccounttype_report[".connId"] = "eflejob_at_localhost";


$tdataaccounttype_report[".strOriginalTableName"] = "accounttype";

	



$tdataaccounttype_report[".showAddInPopup"] = false;

$tdataaccounttype_report[".showEditInPopup"] = false;

$tdataaccounttype_report[".showViewInPopup"] = false;

$tdataaccounttype_report[".listAjax"] = false;
//	temporary
//$tdataaccounttype_report[".listAjax"] = false;

	$tdataaccounttype_report[".audit"] = false;

	$tdataaccounttype_report[".locking"] = false;


$pages = $tdataaccounttype_report[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataaccounttype_report[".edit"] = true;
	$tdataaccounttype_report[".afterEditAction"] = 1;
	$tdataaccounttype_report[".closePopupAfterEdit"] = 1;
	$tdataaccounttype_report[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataaccounttype_report[".add"] = true;
$tdataaccounttype_report[".afterAddAction"] = 1;
$tdataaccounttype_report[".closePopupAfterAdd"] = 1;
$tdataaccounttype_report[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataaccounttype_report[".list"] = true;
}



$tdataaccounttype_report[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataaccounttype_report[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataaccounttype_report[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataaccounttype_report[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataaccounttype_report[".printFriendly"] = true;
}



$tdataaccounttype_report[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataaccounttype_report[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataaccounttype_report[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataaccounttype_report[".isUseAjaxSuggest"] = true;



			

$tdataaccounttype_report[".ajaxCodeSnippetAdded"] = false;

$tdataaccounttype_report[".buttonsAdded"] = false;

$tdataaccounttype_report[".addPageEvents"] = false;

// use timepicker for search panel
$tdataaccounttype_report[".isUseTimeForSearch"] = false;


$tdataaccounttype_report[".badgeColor"] = "4169E1";


$tdataaccounttype_report[".allSearchFields"] = array();
$tdataaccounttype_report[".filterFields"] = array();
$tdataaccounttype_report[".requiredSearchFields"] = array();

$tdataaccounttype_report[".googleLikeFields"] = array();
$tdataaccounttype_report[".googleLikeFields"][] = "AccountTypeID";
$tdataaccounttype_report[".googleLikeFields"][] = "AccountTypeName";
$tdataaccounttype_report[".googleLikeFields"][] = "Amouts";
$tdataaccounttype_report[".googleLikeFields"][] = "Noted";
$tdataaccounttype_report[".googleLikeFields"][] = "Daterecorde";



$tdataaccounttype_report[".tableType"] = "report";

$tdataaccounttype_report[".printerPageOrientation"] = 0;
$tdataaccounttype_report[".nPrinterPageScale"] = 100;

$tdataaccounttype_report[".nPrinterSplitRecords"] = 40;

$tdataaccounttype_report[".geocodingEnabled"] = false;

//report settings

$tdataaccounttype_report[".reportPrintGroupsPerPage"] = 3;
$tdataaccounttype_report[".reportPrintRecordsPerPage"] = 40;

$tdataaccounttype_report[".pageSizeGroups"] = 5;
$tdataaccounttype_report[".pageSizeRecords"] = 20;


//end of report settings










$tstrOrderBy = "";
$tdataaccounttype_report[".strOrderBy"] = $tstrOrderBy;

$tdataaccounttype_report[".orderindexes"] = array();


$tdataaccounttype_report[".sqlHead"] = "SELECT accounttype.AccountTypeID,  accounttype.AccountTypeName,  accountexpense.Amouts,  accountexpense.Noted,  accountexpense.Daterecorde";
$tdataaccounttype_report[".sqlFrom"] = "FROM accounttype  INNER JOIN accountexpense ON accounttype.AccountTypeID = accountexpense.AccountTypeID";
$tdataaccounttype_report[".sqlWhereExpr"] = "";
$tdataaccounttype_report[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataaccounttype_report[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataaccounttype_report[".arrGroupsPerPage"] = $arrGPP;

$tdataaccounttype_report[".highlightSearchResults"] = true;

$tableKeysaccounttype_report = array();
$tableKeysaccounttype_report[] = "AccountTypeID";
$tdataaccounttype_report[".Keys"] = $tableKeysaccounttype_report;


$tdataaccounttype_report[".hideMobileList"] = array();




//	AccountTypeID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "AccountTypeID";
	$fdata["GoodName"] = "AccountTypeID";
	$fdata["ownerTable"] = "accounttype";
	$fdata["Label"] = GetFieldLabel("accounttype_Report","AccountTypeID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "AccountTypeID";

		$fdata["sourceSingle"] = "AccountTypeID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accounttype.AccountTypeID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccounttype_report["AccountTypeID"] = $fdata;
		$tdataaccounttype_report[".searchableFields"][] = "AccountTypeID";
//	AccountTypeName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "AccountTypeName";
	$fdata["GoodName"] = "AccountTypeName";
	$fdata["ownerTable"] = "accounttype";
	$fdata["Label"] = GetFieldLabel("accounttype_Report","AccountTypeName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "AccountTypeName";

		$fdata["sourceSingle"] = "AccountTypeName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accounttype.AccountTypeName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccounttype_report["AccountTypeName"] = $fdata;
		$tdataaccounttype_report[".searchableFields"][] = "AccountTypeName";
//	Amouts
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Amouts";
	$fdata["GoodName"] = "Amouts";
	$fdata["ownerTable"] = "accountexpense";
	$fdata["Label"] = GetFieldLabel("accounttype_Report","Amouts");
	$fdata["FieldType"] = 5;


	
	
			

		$fdata["strField"] = "Amouts";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accountexpense.Amouts";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccounttype_report["Amouts"] = $fdata;
		$tdataaccounttype_report[".searchableFields"][] = "Amouts";
//	Noted
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Noted";
	$fdata["GoodName"] = "Noted";
	$fdata["ownerTable"] = "accountexpense";
	$fdata["Label"] = GetFieldLabel("accounttype_Report","Noted");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Noted";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accountexpense.Noted";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccounttype_report["Noted"] = $fdata;
		$tdataaccounttype_report[".searchableFields"][] = "Noted";
//	Daterecorde
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Daterecorde";
	$fdata["GoodName"] = "Daterecorde";
	$fdata["ownerTable"] = "accountexpense";
	$fdata["Label"] = GetFieldLabel("accounttype_Report","Daterecorde");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "Daterecorde";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accountexpense.Daterecorde";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 5;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Between";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Between";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
		$fdata["filterTotalFields"] = "AccountTypeID";
		$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccounttype_report["Daterecorde"] = $fdata;
		$tdataaccounttype_report[".searchableFields"][] = "Daterecorde";


$tables_data["accounttype Report"]=&$tdataaccounttype_report;
$field_labels["accounttype_Report"] = &$fieldLabelsaccounttype_report;
$fieldToolTips["accounttype_Report"] = &$fieldToolTipsaccounttype_report;
$placeHolders["accounttype_Report"] = &$placeHoldersaccounttype_report;
$page_titles["accounttype_Report"] = &$pageTitlesaccounttype_report;


changeTextControlsToDate( "accounttype Report" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["accounttype Report"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["accounttype Report"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_accounttype_report()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "accounttype.AccountTypeID,  accounttype.AccountTypeName,  accountexpense.Amouts,  accountexpense.Noted,  accountexpense.Daterecorde";
$proto0["m_strFrom"] = "FROM accounttype  INNER JOIN accountexpense ON accounttype.AccountTypeID = accountexpense.AccountTypeID";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "AccountTypeID",
	"m_strTable" => "accounttype",
	"m_srcTableName" => "accounttype Report"
));

$proto6["m_sql"] = "accounttype.AccountTypeID";
$proto6["m_srcTableName"] = "accounttype Report";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "AccountTypeName",
	"m_strTable" => "accounttype",
	"m_srcTableName" => "accounttype Report"
));

$proto8["m_sql"] = "accounttype.AccountTypeName";
$proto8["m_srcTableName"] = "accounttype Report";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Amouts",
	"m_strTable" => "accountexpense",
	"m_srcTableName" => "accounttype Report"
));

$proto10["m_sql"] = "accountexpense.Amouts";
$proto10["m_srcTableName"] = "accounttype Report";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Noted",
	"m_strTable" => "accountexpense",
	"m_srcTableName" => "accounttype Report"
));

$proto12["m_sql"] = "accountexpense.Noted";
$proto12["m_srcTableName"] = "accounttype Report";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Daterecorde",
	"m_strTable" => "accountexpense",
	"m_srcTableName" => "accounttype Report"
));

$proto14["m_sql"] = "accountexpense.Daterecorde";
$proto14["m_srcTableName"] = "accounttype Report";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "accounttype";
$proto17["m_srcTableName"] = "accounttype Report";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "AccountTypeID";
$proto17["m_columns"][] = "AccountTypeName";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "accounttype";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "accounttype Report";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
												$proto20=array();
$proto20["m_link"] = "SQLL_INNERJOIN";
			$proto21=array();
$proto21["m_strName"] = "accountexpense";
$proto21["m_srcTableName"] = "accounttype Report";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "expenseID";
$proto21["m_columns"][] = "AccountTypeID";
$proto21["m_columns"][] = "Amouts";
$proto21["m_columns"][] = "Noted";
$proto21["m_columns"][] = "Daterecorde";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "INNER JOIN accountexpense ON accounttype.AccountTypeID = accountexpense.AccountTypeID";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "accounttype Report";
$proto22=array();
$proto22["m_sql"] = "accountexpense.AccountTypeID = accounttype.AccountTypeID";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "AccountTypeID",
	"m_strTable" => "accountexpense",
	"m_srcTableName" => "accounttype Report"
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "= accounttype.AccountTypeID";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="accounttype Report";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_accounttype_report = createSqlQuery_accounttype_report();


	
		;

					

$tdataaccounttype_report[".sqlquery"] = $queryData_accounttype_report;



$tdataaccounttype_report[".hasEvents"] = false;

?>